#ifndef	CONFIG_H
#define	CONFIG_H

// ----------------------------------------------------------------------------
// Setting for SJA1000

#define	SUPPORT_SJA1000			1
#define	SUPPORT_EXTENDED_CANID	1

#define	SJA1000_INT				E,0
#define	SJA1000_MEMORY_MAPPED	1

// memory-mapped interface
#define	SJA1000_BASE_ADDR	0x8000		// for ATMega162

/*
// Only needed if you don't want to use the memory mapped interface
// port-interface
#define	SJA1000_WR		D,6
#define	SJA1000_RD		D,7
#define	SJA1000_ALE		E,1

#define	SJA1000_CS		C,0
#define	SJA1000_DATA	A
*/

// ----------------------------------------------------------------------------
// pin definition

#define	STATUS_LED		E,2

#define	LED1			B,0
#define	LED2			B,4
#define	LED3			B,1

#define	SW1				C,2
#define	SW2				C,3

#endif	// CONFIG_H
